﻿using System;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class Default : System.Web.UI.Page 
{
    private const string ProviderSessionKey = "Telerik.Web.Examples.Scheduler.XmlSchedulerProvider.DefaultCS";

    // You can safely ignore this method.
    // Its purpose is to limit the changes to the underlying data only to the active user session.
    protected void Page_Init(object sender, EventArgs e)
    {
        Telerik.Web.UI.XmlSchedulerProvider provider;
        if ((Session[ProviderSessionKey] == null) || (!IsPostBack))
        {
            provider = new Telerik.Web.UI.XmlSchedulerProvider(Server.MapPath("~/App_Data/Appointments.xml"), true);
            Session[ProviderSessionKey] = provider;
        }
        else
        {
            provider = (Telerik.Web.UI.XmlSchedulerProvider)Session[ProviderSessionKey];
        }

        RadScheduler1.Provider = provider;
    }

    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void RadScheduler1_DataBound(object sender, EventArgs e)
    {
        // Turn off the support for multiple resource values.
        foreach (ResourceType resType in RadScheduler1.ResourceTypes)
        {
            resType.AllowMultipleValues = false;
        }
    }

    protected void RadScheduler1_AppointmentCreated(object sender, AppointmentCreatedEventArgs e)
    {
        if (e.Appointment.RecurrenceState == RecurrenceState.Master || e.Appointment.RecurrenceState == RecurrenceState.Occurrence)
        {
            Label recurrenceStateDiv = new Label() { CssClass = "rsAptRecurrence" };
            recurrenceStateDiv.Controls.Add(new Label() { CssClass = "t-font-icon t-i-recurrence" });
            e.Container.Controls.AddAt(0, recurrenceStateDiv);
        }
        if (e.Appointment.RecurrenceState == RecurrenceState.Exception)
        {
            Label recurrenceStateDiv = new Label() { CssClass = "rsAptRecurrence" };
            recurrenceStateDiv.Controls.Add(new Label() { CssClass = "t-font-icon t-i-recurrence-exception" });
            e.Container.Controls.AddAt(0, recurrenceStateDiv);
        }
    }

    protected void RadScheduler1_AppointmentUpdate(object sender, AppointmentUpdateEventArgs e)
    {

    }

    protected void RadScheduler1_AppointmentDelete(object sender, AppointmentDeleteEventArgs e)
    {

    }
    
    protected void RadScheduler1_OccurrenceDelete(object sender, OccurrenceDeleteEventArgs e)
    {

    }

    protected void RadScheduler1_RecurrenceExceptionCreated(object sender, RecurrenceExceptionCreatedEventArgs e)
    {

    }
}
